package com.ms.dal.mapper;

import com.ms.dal.entity.RefundPurchaseOrder;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Entity com.ms.dal.entity.RefundPurchaseOrder
 */
@Mapper
public interface RefundPurchaseOrderMapper {

    int deleteByPrimaryKey(Long id);

    int insert(RefundPurchaseOrder record);

    int insertOrUpdate(RefundPurchaseOrder  record);

    int insertSelective(RefundPurchaseOrder record);

    RefundPurchaseOrder selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(RefundPurchaseOrder record);

    int updateByPrimaryKey(RefundPurchaseOrder record);

    RefundPurchaseOrder getByRefundId(@Param("refundId") String refundId);
}
